#!/bin/tcsh

############################################################
#
# archiving script
#
#############################################################


if $# != 1 then
    echo "Usage: archive.csh <archive name>"
    echo "Ex) archive.csh trafst_v1.3"
    echo "    This will create a directory which include all of the necessary files for the release"
    echo "    Then it will make an tar.gz file."
else
    echo "Now making euc encoding type first, because euc is the development envronment"
    make template_euc.pdf
    make contents_euc.pdf
    make postscript_euc.pdf
    echo "Now creating sjis type encoding files, and creating  all necessary files"  
    make sjis
    #make template.pdf
    echo "Now removing intermediate files"
    make clean
    echo "Now going to archive into $1"
    echo "Now creating $1"
    mkdir $1
    echo "Now copying all necessary files to $1"
    cp trafst[^_]* $1
    cp template* $1
    cp -r fig $1
    cp Makefile $1
    cp README $1
    cp contents* $1
    cp postscript* $1
    cp archive.csh $1

    echo "Now archiving..."
    tar cvf - $1 | gzip > $1.tgz
    
    

endif
